

sudo apt install mpd mpc ncmpc ffmpeg
sudo cp /usr/share/sounds/alsa/Noise.wav /var/lib/mpd/music/

mpc update
mpc ls | mpc add
mpc repeat
mpc play


-----


sudo curl -L https://yt-dl.org/downloads/latest/youtube-dl -o /usr/local/bin/youtube-dl
sudo chmod a+rx /usr/local/bin/youtube-dl

youtube-dl -g https://www.youtube.com/watch?v=FJWd92Vi5Ww


------------


docker run -it --rm --device=/dev/snd:/dev/snd --name mpd -p 6600:6600 -p 8000:8000 arm32v6/alpine
apk --no-cache add mpd mpc


mkdir -p /var/lib/mpd/music
mkdir -p /var/lib/mpd/.mpd/playlists
touch /var/lib/mpd/.mpd/database
touch /var/lib/mpd/.mpd/state
chown -R mpd:audio /var/lib/mpd/


cat <<EOF | tee /etc/asound.conf
defaults.pcm.card 1
defaults.ctl.card 1
}
EOF


cat <<EOF | tee /etc/mpd.conf
music_directory         "~/music"
playlist_directory      "~/.mpd/playlists"
db_file                 "~/.mpd/database"
log_file                "/dev/stdout"
pid_file                "~/.mpd/pid"
state_file              "~/.mpd/state"
sticker_file            "~/.mpd/sticker.sql"

user                    "mpd"
group                   "audio"

bind_to_address         "any"
port                    "6600"

log_level               "default"

auto_update             "yes"
follow_outside_symlinks "yes"
follow_inside_symlinks  "yes"

zeroconf_enabled        "no"

audio_output {                                                                            
        type            "alsa"                                                            
        name            "Device"                                                     
}
EOF

mkdir -p /var/lib/mpd/music
mkdir -p /var/lib/mpd/.mpd/playlists
touch /var/lib/mpd/.mpd/database
touch /var/lib/mpd/.mpd/state
chown -R mpd:audio /var/lib/mpd/

/usr/bin/mpd --no-daemon --stdout
